-- модуль реализующий туториал для гемплея
gameplay_tutorial = {}

gameplay_tutorial._left_top_offset = sf.misc.FloatVector(10, 10)
gameplay_tutorial._right_botton_offset = sf.misc.FloatVector(10, 10)

function gameplay_tutorial.DestroyMatcGem()
	shadow_widget.Hide()
	game_window._tutorial_flags.RaiseFlag(s11.CProfileDataClassic.TutorialFlagFirstMove)
	drop_buttons.SetDisable(false)
end

function gameplay_tutorial.ShowGemMatchTutorial(_gem_pos, _mask_pos, _mask_size)
	tutorial_window.Show(game_window._self, "first_gem_match", nil, _gem_pos)
	drop_buttons.SetDisable(true)
	shadow_widget.AddShadow(game_window._self, 
	                        150, 
							"tutorial_darkening_masks_common_match_area_mask", 
							_mask_pos - gameplay_tutorial._left_top_offset, 
							190,
							300, 
							300, 
							_mask_size + gameplay_tutorial._left_top_offset + gameplay_tutorial._right_botton_offset)	
end

